> ## Documentation Index
> Fetch the complete documentation index at: https://funnelfox.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a checkout session

> Modify an existing checkout session's details, such as changing the selected Price Point.



## OpenAPI

````yaml /swagger/openapi-billing.json post /checkout/update_client_session
openapi: 3.0.0
info:
  title: OpenAPI3
  version: 1.0.0
servers:
  - url: https://billing.funnelfox.com/{org_id}/v1
    description: FunnelFox Billing API
    variables:
      org_id:
        default: your-org-id
        description: Your organization ID
security:
  - FunnelFoxSecretKey: []
paths:
  /checkout/update_client_session:
    post:
      tags:
        - Checkout
      summary: Update a checkout session
      description: >-
        Modify an existing checkout session's details, such as changing the
        selected Price Point.
      parameters:
        - name: org_id
          in: path
          required: true
          description: Organization ID
          schema:
            type: string
          style: simple
          explode: false
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CheckoutUpdateClientSessionIn'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Ok200'
      security: []
components:
  schemas:
    CheckoutUpdateClientSessionIn:
      properties:
        client_token:
          title: Client Token
          type: string
        order_id:
          description: Order ID (can include multiple transactions, fallbacks, and refunds)
          format: uuid
          title: order id
          type: string
        pp_ident:
          description: Unique identifier of the price point
          maxLength: 256
          pattern: ^[-A-Za-z_0-9]{1,256}$
          title: price point ident
          type: string
        client_metadata:
          additionalProperties: true
          description: Custom metadata from your client application
          title: Client Metadata
          type: object
      required:
        - client_token
        - order_id
        - pp_ident
      title: CheckoutUpdateClientSessionIn
      type: object
    Ok200:
      properties: {}
      title: Ok200
      type: object
  securitySchemes:
    FunnelFoxSecretKey:
      type: apiKey
      in: header
      name: ff-secret-key
      description: Secret key for FunnelFox Billing API. Required for all requests.

````